Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 651078 - app-backup/bacula-9.0.6-r2 stable request
Summary: app-backup/bacula-9.0.6-r2 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Beierlein
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 644566
  Show dependency tree
 
Reported: 2018-03-21 14:55 UTC by Thomas Beierlein
Modified: 2018-11-17 23:07 UTC (History)
0 users

See Also:
Package list:
=app-backup/bacula-9.0.6-r2
Runtime testing required: Yes
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Beierlein gentoo-dev 2018-03-21 14:55:06 UTC
Package is in tree since 18 Feb 2018.
Stable version is needed to drop USE=qt4 dependency (bug #644566).
Package does not compile atm with USE=libressl (bug #641492). Therefore a p.use.stable.mask got issued. 

Arches please do your work.
Comment 1 Thomas Beierlein gentoo-dev 2018-03-21 15:05:52 UTC
Forget to add sparc@gentoo.org. Sorry.
Comment 2 Thomas Deutschmann gentoo-dev Security 2018-03-25 22:43:30 UTC
x86 stable
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-03-26 19:55:50 UTC
amd64 stable
Comment 4 Andreas Sturmlechner gentoo-dev 2018-05-09 19:56:03 UTC
We can already cleanup <bacula-9.0.6-r2 with ack from sparc and ppc proj, not having to wait for this stabilisation.
Comment 5 Matt Turner gentoo-dev 2018-05-10 01:12:15 UTC
I said this on IRC already, but feel free to drop to ~ppc.
Comment 6 Thomas Beierlein gentoo-dev 2018-05-11 16:35:22 UTC
Added a revbump of old bacula-5.2.13 (to -r6) which dropped Qt4 support.

For backup clients bacula can be installed in client-only mode. Upgrade policy states that newer storage and director parts will work always with older file demons. So we want to keep at least one old version in tree for users with older backup servers.
Comment 7 Larry the Git Cow gentoo-dev 2018-05-11 16:37:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6a11f48cf7e4a10694bb52c1e11899cc27bcb42

commit c6a11f48cf7e4a10694bb52c1e11899cc27bcb42
Author:     Thomas Beierlein <tomjbe@gentoo.org>
AuthorDate: 2018-05-11 16:35:29 +0000
Commit:     Thomas Beierlein <tomjbe@gentoo.org>
CommitDate: 2018-05-11 16:36:27 +0000

    app-backup/bacula: Revbump with dropped Qt4 support.
    
    Can be used as client for older bacula server installations.
    
    Bug: https://bugs.gentoo.org/651078
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 app-backup/bacula/bacula-5.2.13-r6.ebuild | 397 ++++++++++++++++++++++++++++++
 1 file changed, 397 insertions(+)
Comment 8 Thomas Beierlein gentoo-dev 2018-05-11 16:39:11 UTC
(In reply to Matt Turner from comment #5)
> I said this on IRC already, but feel free to drop to ~ppc.

If we drop to ~ppc, do you still want to be included in this stable request?.
Comment 9 Andreas Sturmlechner gentoo-dev 2018-05-11 17:43:58 UTC
Dakon said he would maybe attempt re-stabilisation in the future whenever he gets to setup his own backup system with bacula, presumably with whatever version may be relevant at that point.
Comment 10 Larry the Git Cow gentoo-dev 2018-05-11 17:46:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c3ad668a4f0093af54847e2810a5948a99602d9

commit 7c3ad668a4f0093af54847e2810a5948a99602d9
Author:     Thomas Beierlein <tomjbe@gentoo.org>
AuthorDate: 2018-05-11 17:44:43 +0000
Commit:     Thomas Beierlein <tomjbe@gentoo.org>
CommitDate: 2018-05-11 17:46:04 +0000

    app-backup/bacula: Drop old versions depending on Qt4
    
    ppc and sparc project gave ack for not having to wait for stabilization
    of bacula-9.0.6-r2 (bug #651078, comment 4)
    
    Bugs: https://bugs.gentoo.org/644566
    Closes: https://bugs.gentoo.org/651078
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 app-backup/bacula/Manifest                |   4 -
 app-backup/bacula/bacula-5.2.13-r5.ebuild | 424 -----------------------------
 app-backup/bacula/bacula-7.4.4-r2.ebuild  | 412 -----------------------------
 app-backup/bacula/bacula-7.4.6.ebuild     | 412 -----------------------------
 app-backup/bacula/bacula-7.4.7.ebuild     | 412 -----------------------------
 app-backup/bacula/bacula-9.0.3.ebuild     | 418 -----------------------------
 app-backup/bacula/bacula-9.0.6-r1.ebuild  | 426 ------------------------------
 app-backup/bacula/bacula-9.0.6.ebuild     | 418 -----------------------------
 8 files changed, 2926 deletions(-)
Comment 11 Thomas Beierlein gentoo-dev 2018-05-11 17:49:47 UTC
Sorry, closed the wrong bug. Reopening now.
Comment 12 Larry the Git Cow gentoo-dev 2018-06-24 19:38:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe7567fb7781dd9722403a16ada6a439eea6dfb4

commit fe7567fb7781dd9722403a16ada6a439eea6dfb4
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-24 17:28:13 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-24 19:35:10 +0000

    app-backup/bacula: stable 9.0.6-r2 for ppc, bug #651078
    
    Bug: https://bugs.gentoo.org/651078
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc"

 app-backup/bacula/bacula-9.0.6-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 13 Thomas Beierlein gentoo-dev 2018-10-28 15:37:45 UTC
Closing.